Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2018 05:35:33 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Mon, 23 Jul 2018 20:28:27 -0400
> 
> Tino Calancha <[email-masked]> writes:
> 
> > On Mon, 23 Jul 2018, Stefan Monnier wrote:
> >
> >>> Makes sense.  I guess the obsoletion should go to master?
> >>
> >> FWIW, I think obsoletions are a form of documentation, so the earlier we
> >> announce them, the better.  IOW if the patch goes to emacs-26, then the
> >> obsoletion should go there as well.
> >
> > Good point.
> 
> This sounds good in theory, although in practice people tend to treat it
> as more than just documentation (e.g., Bug#30039).
> 
> On the other hand, a search for "term-read-noecho" on the web gets 9
> hits, all of which are either this bug thread, or copies of
> term.el/Emacs commit logs.  So maybe this is all theoretical anyway...

My POV on this is that we shouldn't in general deprecate anything in a
bugfix release.  However, I agree that this particular case is not
really important to justify bikeshedding, so I won't holler if we did
it this time.